#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i,n,m;
    char n1[10000],m1[10000];
    scanf("%d",&n);
    scanf("%d",&m);
    for(int j=1;j<=m;j++){
    for(i=1;i<=n;i++){
        scanf("%c",&n1[i]);
    }
    n1[j]='c';
    printf("%c",n1);
    }

    return 0;
}